:root {
    --header-height: 3rem;
    --nav-width: 75px;
    --first-color: #e60000;
    --first-color-light: #ffffff;
    --second-background: #434343;
    --text-color: #ffffff;
    --active-text-color: #ffffff;
    --white-hover: #f4f5f7;
    --sidebar-bg-color: #161624;
    --sidebar-icon-color: #ffffff;
    --white-color: #ffffff;
    --body-font: 'Nunito', sans-serif;
    --normal-font-size: 1rem;
    --z-fixed: 100;
}

*,
::before,
::after {
    box-sizing: border-box;
}

body {
    position: relative;
    margin: var(--header-height) 0 0 0;
    padding: 0 1rem;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    transition: .5s;
}

::placeholder {
    color: var(--text-color) !important;
}

a {
    text-decoration: none;
}

.header {
    width: 100%;
    height: var(--header-height);
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 1rem;
    background-color: #172a3aff;
    z-index: var(--z-fixed);
    transition: .5s;
    padding-bottom: 15px;
}

.header_toggle {
    color: var(--first-color);
    font-size: 1.5rem;
    cursor: pointer;
}

.header_img {
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    border-radius: 50%;
    overflow: hidden;
}

.header_img img {
    width: 40px;
}

.l-navbar {
    position: fixed;
    top: 0;
    left: -30%;
    width: var(--nav-width);
    height: 100vh;
    background-color: #172a3aff;
    padding: .5rem 1rem 0 0;
    z-index: var(--z-fixed);
}

.nav {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}

.nav_logo,
.nav_link {
    display: grid;
    grid-template-columns: max-content max-content;
    align-items: center;
    column-gap: 1rem;
    padding: .5rem 0 .5rem 1.5rem;
    cursor: pointer;
}

.nav_logo {
    margin-bottom: 2rem;
}

.nav_logo-icon {
    font-size: 1.25rem;
    color: var(--active-text-color);
}

.nav_logo-name {
    color: var(--active-text-color);
    font-weight: 700;
}

.nav_link {
    position: relative;
    color: var(--first-color-light) !important;
    margin-bottom: 0.9rem;
    transition: .3s;
}

.nav_link:hover {
    color: var(--white-color);
}

.nav_icon {
    font-size: 1.25rem;
    color: var(--sidebar-icon-color);
}

.nav_show {
    left: 0;
}

.body-pd {
    padding-left: calc(var(--nav-width) + 1rem);
}

.sb-active {
    color: var(--first-color);
}

.sb-active::before {
    content: '';
    position: absolute;
    left: 0;
    width: 2px;
    height: 32px;
    background-color: var(--first-color);
}

.height-100 {
    height: 100vh;
}

@media screen and (min-width: 768px) {
    body {
        margin: calc(var(--header-height) + 1rem) 0 0 0;
        padding-left: calc(var(--nav-width) + 2rem);
    }

    .header {
        height: calc(var(--header-height) + 1rem);
        padding: 0 2rem 0 calc(var(--nav-width) + 2rem);
    }

    .header_img {
        width: 40px;
        height: 40px;
    }

    .header_img img {
        width: 45px;
    }

    .l-navbar {
        left: 0;
        padding: 1rem 1rem 0 0;
    }

    .nav_show {
        width: 225px;
    }

    .body-pd {
        padding-left: calc(var(--nav-width) + 188px);
    }
}
@media (min-width: 1200px) {
.h3, h3 {
    font-size: 1.39rem;
}
}





    body {
        letter-spacing: 0.015em;
    }

    input[type=number]::-webkit-outer-spin-button,
    input[type=number]::-webkit-inner-spin-button {
        -webkit-appearance: none !important;
        margin: 0;
    }
    input[type=number] {
        -moz-appearance: textfield !important;
    }
    /* Scroll Bar Style */
    ::-webkit-scrollbar {
        background: none;
        width: 16px;
        height: 16px;
    }

    ::-webkit-scrollbar-thumb {
        border: solid 0 rgb(0 0 0 / 0%);
        border-right-width: 4px;
        border-left-width: 4px;
        -webkit-border-radius: 9px 4px;
        -webkit-box-shadow: inset 0 0 0 1px hsl(211, 10%, 53%), inset 0 0 0 4px hsl(209deg 18% 30%);
    }
    ::-webkit-scrollbar-track-piece {
        margin: 4px 0;
    }
    ::-webkit-scrollbar-thumb:horizontal {
        border-right-width: 0;
        border-left-width: 0;
        border-top-width: 4px;
        border-bottom-width: 4px;
        -webkit-border-radius: 4px 9px;
    }
    ::-webkit-scrollbar-thumb:hover {
        -webkit-box-shadow:
        inset 0 0 0 1px hsl(212, 92%, 43%),
        inset 0 0 0 4px hsl(212, 92%, 43%);
    }
    ::-webkit-scrollbar-corner {
        background: transparent;
    }


.carbon-text-color {
    color: var(--text-color)
}

.navbar-nav .dropdown-menu {
    background: var(--second-background) !important;
}

.games-card {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.sidebar-card {
    height: 30px;
    width: 30px;
    background: var(--first-color);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.sidebar .logo-expand {
    text-decoration: none;
    color: var(--body-active-color);
    font-size: 19px;
    font-weight: 600;
    line-height: 34px;
    position: sticky;
    top: 0;
}

select option {
    background: var(--second-background) !important;
    color: var(--text-color)
}

.site-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 19px;
    font-weight: 600;
    line-height: 34px;
}

.allocation-card {
    width: 14vw;
    word-wrap: break-word;
}

.discount-badge {
    color: #fff;
    background-color: #3bce2d;
    font-size: 14px;
    font-weight: 900;
}

.dropdown-menu .dropdown-item:hover {
    background-color: #00000042 !important;
}

#preloader {
    position: fixed !important;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: #172A3A;
    animation: hideLoader 0s ease-in 1s;
    animation-fill-mode: forwards;

}

#preloader:before {
    content: "";
    position: fixed !important;
    background: url('/themes/carbon/loader/spinner.svg');
    background-size: cover;
    border-radius: 50%;
    width: 75px;
    height: 75px;
    animation: animate-preloader 1s linear infinite hideLoader 0s ease-in 1s;
    animation-fill-mode: forwards;

}

@keyframes hideLoader {
    to {
      visibility: hidden;
      width: 0;
      height: 0;
    }
  }